ICINGA2(8)

NAME
icinga2 - The Icinga 2 network monitoring daemon

SYNOPSIS
icinga2 command [ command options ][ global options ] command := [ api | console | daemon | feature | node | object | pki | repository | troubleshoot | variable ] --help

DESCRIPTION
Icinga 2 is an open source monitoring system which checks the availability of your network resources, notifies users of outages, and generates performance data for reporting. Scalable and extensible, Icinga 2 can monitor large, complex environments across multiple locations.

OPTIONS
Details for specific command options can be viewed by invoking the command name with --help parameter.

  Global options

-h,--help
    Show this help message.

-V,--version
    Show version information.

--color
    Use VT100 color codes even when stdout is not a terminal.

-D, --define arg
    Define a constant.

-l, --library arg
    Load a library.

-I, --include arg
    Add include search directory.

-x, --log-level [ debug | notice | information | warning | critical ]
    Specify the log level for the console log, default is information.

-X, --script-debugger
    Enables the script debugger. When an exception occurs or the 'debugger' keyword is encountered in a user script Icinga 2 launches the script debugger that allows the user to debug the script.

  daemon options
The CLI command daemon provides the functionality to start/stop Icinga 2. Furthermore it provides the configuration validation.

-c, --config arg
    Using this option you can specify one or more configuration files. Config files are processed in the order they are specified on the command-line. When no configuration file is specified and the --no-config is not used, Icinga 2 automatically falls back to using the configuration file ConfigDir + /icinga2.conf (where ConfigDir is usually /etc/icinga2).

-z, --noconfig
    Start without a configuration file.

-C, --validate
    This option can be used to check if your configuration files contain errors. If any errors are found the exit status is 1, otherwise 0 is returned.

-e, --errorlog arg
    Log fatal errors to the specified log file (only works in combination with --daemonize).

-d, --daemonize
    Detach from the controlling terminal.

REPORTING BUGS
Report bugs at <https://github.com/Icinga/icinga2>
Icinga home page: <https://icinga.com/>

COPYRIGHT
Copyright © 2012-2014 Icinga Development Team (https://icinga.com) License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl2.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.